{
  "parent": "minecraft:item/handheld_rod",
  "textures": {
    "layer0": "minecraft:item/carrot_on_a_stick"
  },
  "overrides": [
  	{ "predicate": { "custom_model_data": 1010200}, "model": "undeadm-m1:item/magic/staff_magic_missile" },
  	{ "predicate": { "custom_model_data": 1010201}, "model": "undeadm-m1:item/magic/staff_fire_blast" },
  	{ "predicate": { "custom_model_data": 1010202}, "model": "undeadm-m1:item/magic/staff_ice_shard" },
  	{ "predicate": { "custom_model_data": 1010203}, "model": "undeadm-m1:item/magic/staff_living_earth" },
  	{ "predicate": { "custom_model_data": 1010204}, "model": "undeadm-m1:item/magic/staff_bone_dancer" }
  ]
}
